com.here.msdkui.routing

## Enum TravelTimePicker.Variety

- java.lang.Object
- - java.lang.Enum<TravelTimePicker.Variety>
  - - com.here.msdkui.routing.TravelTimePicker.Variety

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TravelTimePicker.Variety>
  Enclosing class:
    TravelTimePicker

      public static enum TravelTimePicker.Variety
      extends java.lang.Enum<TravelTimePicker.Variety>

  An enum that defines the `RouteOptions.TimeType` that can be set using this picker. Default is `DEPARTURE` which will result in `RouteOptions.TimeType.DEPARTURE` when a time and date is picked.

  Please note, only when setting `BOTH`, the dialog will contain two buttons to select the `RouteOptions.TimeType`, otherwise no additional button will be shown.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRIVAL` Defines the type as `ARRIVAL`.
    `BOTH` Defines a state with two buttons to select `DEPARTURE` or `ARRIVAL`.
    `DEPARTURE` Defines the type as `DEPARTURE`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TravelTimePicker.Variety` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TravelTimePicker.Variety[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOTH

          public static final TravelTimePicker.Variety BOTH

      Defines a state with two buttons to select `DEPARTURE` or `ARRIVAL`. Default selection is `DEPARTURE`.

    - #### DEPARTURE

          public static final TravelTimePicker.Variety DEPARTURE

      Defines the type as `DEPARTURE`. This will show the picker without any button on top and the picked time will be of type `RouteOptions.TimeType.DEPARTURE`.

    - #### ARRIVAL

          public static final TravelTimePicker.Variety ARRIVAL

      Defines the type as `ARRIVAL`. This will show the picker without any button on top and the picked time will be of type `RouteOptions.TimeType.ARRIVAL`.

  - ### Method Detail

    - #### values

          public static TravelTimePicker.Variety[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TravelTimePicker.Variety c : TravelTimePicker.Variety.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TravelTimePicker.Variety valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null